Index: doc/user/task.t
===================================================================
--- doc/user/task.t	(revision 3973e40a54b01fd9f1e4c687c34aa7830a4c2350)
+++ doc/user/task.t	(revision 75e22db0d500f02e6a1c0304ead2bff4f0790139)
@@ -74,11 +74,10 @@
 @subsection Task Definition
 
-Many definitions of a task have been proposed in computer
-literature.  Unfortunately, none of these definitions
-encompasses all facets of the concept in a manner which is
-operating system independent.  Several of the more common
-definitions are provided to enable each user to select a
-definition which best matches their own experience and
-understanding of the task concept:
+Many definitions of a task have been proposed in computer literature. 
+Unfortunately, none of these definitions encompasses all facets of the
+concept in a manner which is operating system independent.  Several of the
+more common definitions are provided to enable each user to select a
+definition which best matches their own experience and understanding of the
+task concept: 
 
 @itemize @bullet
@@ -194,33 +193,32 @@
 execution environment of the task. 
 
-The preemption component allows a task to determine when control
-of the processor is relinquished.  If preemption is disabled
-(@code{@value{RPREFIX}NO_PREEMPT}), the task will retain control of the processor as
-long as it is in the executing state -- even if a higher
-priority task is made ready.  If preemption is enabled (@code{@value{RPREFIX}PREEMPT})
-and a higher priority task is made ready, then the processor
-will be taken away from the current task immediately and given
-to the higher priority task.
-
-The timeslicing component is used by the RTEMS scheduler to
-determine how the processor is allocated to tasks of equal
-priority.  If timeslicing is enabled (@code{@value{RPREFIX}TIMESLICE}), then RTEMS
-will limit the amount of time the task can execute before the
-processor is allocated to another ready task of equal priority. 
-The length of the timeslice is application dependent and
-specified in the Configuration Table.  If timeslicing is
-disabled (@code{@value{RPREFIX}NO_TIMESLICE}), then the task will be allowed to
-execute until a task of higher priority is made ready.  If
-@code{@value{RPREFIX}NO_PREEMPT} is selected, then the timeslicing component is
-ignored by the scheduler.
-
-The asynchronous signal processing component is used to
-determine when received signals are to be processed by the task.
- If signal processing is enabled (@code{@value{RPREFIX}ASR}), then signals sent to the
-task will be processed the next time the task executes.  If
-signal processing is disabled (@code{@value{RPREFIX}NO_ASR}), then all signals
-received by the task will remain posted until signal processing
-is enabled.  This component affects only tasks which have
-established a routine to process asynchronous signals. 
+The preemption component allows a task to determine when control of the
+processor is relinquished.  If preemption is disabled
+(@code{@value{RPREFIX}NO_PREEMPT}), the task will retain control of the
+processor as long as it is in the executing state -- even if a higher
+priority task is made ready.  If preemption is enabled
+(@code{@value{RPREFIX}PREEMPT})  and a higher priority task is made ready,
+then the processor will be taken away from the current task immediately and
+given to the higher priority task. 
+
+The timeslicing component is used by the RTEMS scheduler to determine how
+the processor is allocated to tasks of equal priority.  If timeslicing is
+enabled (@code{@value{RPREFIX}TIMESLICE}), then RTEMS will limit the amount
+of time the task can execute before the processor is allocated to another
+ready task of equal priority. The length of the timeslice is application
+dependent and specified in the Configuration Table.  If timeslicing is
+disabled (@code{@value{RPREFIX}NO_TIMESLICE}), then the task will be
+allowed to execute until a task of higher priority is made ready.  If
+@code{@value{RPREFIX}NO_PREEMPT} is selected, then the timeslicing
+component is ignored by the scheduler. 
+
+The asynchronous signal processing component is used to determine when
+received signals are to be processed by the task. 
+If signal processing is enabled (@code{@value{RPREFIX}ASR}), then signals
+sent to the task will be processed the next time the task executes.  If
+signal processing is disabled (@code{@value{RPREFIX}NO_ASR}), then all
+signals received by the task will remain posted until signal processing is
+enabled.  This component affects only tasks which have established a
+routine to process asynchronous signals.
 
 The interrupt level component is used to determine which
@@ -275,54 +273,52 @@
 @subsection Floating Point Considerations
 
-Creating a task with the @code{@value{RPREFIX}FLOATING_POINT} flag results in
-additional memory being allocated for the TCB to store the state
-of the numeric coprocessor during task switches.  This
-additional memory is @b{NOT} allocated for @code{@value{RPREFIX}NO_FLOATING_POINT} tasks. 
-Saving and restoring the context of a @code{@value{RPREFIX}FLOATING_POINT} task takes
-longer than that of a @code{@value{RPREFIX}NO_FLOATING_POINT} task because of the
-relatively large amount of time required for the numeric
-coprocessor to save or restore its computational state.
-
-Since RTEMS was designed specifically for embedded military
-applications which are floating point intensive, the executive
-is optimized to avoid unnecessarily saving and restoring the
-state of the numeric coprocessor.  The state of the numeric
-coprocessor is only saved when a @code{@value{RPREFIX}FLOATING_POINT} task is
-dispatched and that task was not the last task to utilize the
-coprocessor.  In a system with only one @code{@value{RPREFIX}FLOATING_POINT} task, the
-state of the numeric coprocessor will never be saved or
-restored.  
-
-Although the overhead imposed by @code{@value{RPREFIX}FLOATING_POINT} tasks is
-minimal, some applications may wish to completely avoid the
-overhead associated with @code{@value{RPREFIX}FLOATING_POINT} tasks and still utilize
-a numeric coprocessor.  By preventing a task from being
-preempted while performing a sequence of floating point
-operations, a @code{@value{RPREFIX}NO_FLOATING_POINT} task can utilize the numeric
-coprocessor without incurring the overhead of a @code{@value{RPREFIX}FLOATING_POINT}
-context switch.  This approach also avoids the allocation of a
-floating point context area.  However, if this approach is taken
-by the application designer, NO tasks should be created as
-@code{@value{RPREFIX}FLOATING_POINT} tasks.  Otherwise, the floating point context
-will not be correctly maintained because RTEMS assumes that the
-state of the numeric coprocessor will not be altered by
-@code{@value{RPREFIX}NO_FLOATING_POINT} tasks.
+Creating a task with the @code{@value{RPREFIX}FLOATING_POINT} flag results
+in additional memory being allocated for the TCB to store the state of the
+numeric coprocessor during task switches.  This additional memory is
+@b{NOT} allocated for @code{@value{RPREFIX}NO_FLOATING_POINT} tasks. Saving
+and restoring the context of a @code{@value{RPREFIX}FLOATING_POINT} task
+takes longer than that of a @code{@value{RPREFIX}NO_FLOATING_POINT} task
+because of the relatively large amount of time required for the numeric
+coprocessor to save or restore its computational state. 
+
+Since RTEMS was designed specifically for embedded military applications
+which are floating point intensive, the executive is optimized to avoid
+unnecessarily saving and restoring the state of the numeric coprocessor. 
+The state of the numeric coprocessor is only saved when a
+@code{@value{RPREFIX}FLOATING_POINT} task is dispatched and that task was
+not the last task to utilize the coprocessor.  In a system with only one
+@code{@value{RPREFIX}FLOATING_POINT} task, the state of the numeric
+coprocessor will never be saved or restored. 
+
+Although the overhead imposed by @code{@value{RPREFIX}FLOATING_POINT} tasks
+is minimal, some applications may wish to completely avoid the overhead
+associated with @code{@value{RPREFIX}FLOATING_POINT} tasks and still
+utilize a numeric coprocessor.  By preventing a task from being preempted
+while performing a sequence of floating point operations, a
+@code{@value{RPREFIX}NO_FLOATING_POINT} task can utilize the numeric
+coprocessor without incurring the overhead of a
+@code{@value{RPREFIX}FLOATING_POINT} context switch.  This approach also
+avoids the allocation of a floating point context area.  However, if this
+approach is taken by the application designer, NO tasks should be created
+as @code{@value{RPREFIX}FLOATING_POINT} tasks.  Otherwise, the floating
+point context will not be correctly maintained because RTEMS assumes that
+the state of the numeric coprocessor will not be altered by
+@code{@value{RPREFIX}NO_FLOATING_POINT} tasks. 
 
 If the supported processor type does not have hardware floating
-capabilities or a standard numeric coprocessor, RTEMS will not
-provide built-in support for hardware floating point on that
-processor.  In this case, all tasks are considered
-@code{@value{RPREFIX}NO_FLOATING_POINT} whether created as @code{@value{RPREFIX}FLOATING_POINT} or
-@code{@value{RPREFIX}NO_FLOATING_POINT} tasks.  A floating point emulation software
-library must be utilized for floating point operations.
-
-On some processors, it is possible to disable the floating point
-unit dynamically.  If this capability is supported by the target
-processor, then RTEMS will utilize this capability to enable the
-floating point unit only for tasks which are created with the
-@code{@value{RPREFIX}FLOATING_POINT} attribute.  The consequence of a
-@code{@value{RPREFIX}NO_FLOATING_POINT} task attempting to access the floating point
-unit is CPU dependent but will i general result in an exception
-condition.
+capabilities or a standard numeric coprocessor, RTEMS will not provide
+built-in support for hardware floating point on that processor.  In this
+case, all tasks are considered @code{@value{RPREFIX}NO_FLOATING_POINT}
+whether created as @code{@value{RPREFIX}FLOATING_POINT} or
+@code{@value{RPREFIX}NO_FLOATING_POINT} tasks.  A floating point emulation
+software library must be utilized for floating point operations. 
+
+On some processors, it is possible to disable the floating point unit
+dynamically.  If this capability is supported by the target processor, then
+RTEMS will utilize this capability to enable the floating point unit only
+for tasks which are created with the @code{@value{RPREFIX}FLOATING_POINT}
+attribute.  The consequence of a @code{@value{RPREFIX}NO_FLOATING_POINT}
+task attempting to access the floating point unit is CPU dependent but will
+generally result in an exception condition. 
 
 @ifinfo
@@ -439,27 +435,27 @@
     <TD ALIGN=center><STRONG>Mask Constant</STRONG></TD>
     <TD ALIGN=center><STRONG>Description</STRONG></TD></TR>
-<TR><TD ALIGN=center>PREEMPT</TD>
-    <TD ALIGN=center>PREEMPT_MASK</TD>
+<TR><TD ALIGN=center>@value{RPREFIX}PREEMPT</TD>
+    <TD ALIGN=center>@value{RPREFIX}PREEMPT_MASK</TD>
     <TD ALIGN=center>enables preemption</TD></TR>
-<TR><TD ALIGN=center>NO_PREEMPT</TD>
-    <TD ALIGN=center>PREEMPT_MASK</TD>
+<TR><TD ALIGN=center>@value{RPREFIX}NO_PREEMPT</TD>
+    <TD ALIGN=center>@value{RPREFIX}PREEMPT_MASK</TD>
     <TD ALIGN=center>disables preemption</TD></TR>
-<TR><TD ALIGN=center>NO_TIMESLICE</TD>
-    <TD ALIGN=center>TIMESLICE_MASK</TD>
+<TR><TD ALIGN=center>@value{RPREFIX}NO_TIMESLICE</TD>
+    <TD ALIGN=center>@value{RPREFIX}TIMESLICE_MASK</TD>
     <TD ALIGN=center>disables timeslicing</TD></TR>
-<TR><TD ALIGN=center>TIMESLICE</TD>
-    <TD ALIGN=center>TIMESLICE_MASK</TD>
+<TR><TD ALIGN=center>@value{RPREFIX}TIMESLICE</TD>
+    <TD ALIGN=center>@value{RPREFIX}TIMESLICE_MASK</TD>
     <TD ALIGN=center>enables timeslicing</TD></TR>
-<TR><TD ALIGN=center>ASR</TD>
-    <TD ALIGN=center>ASR_MASK</TD>
+<TR><TD ALIGN=center>@value{RPREFIX}ASR</TD>
+    <TD ALIGN=center>@value{RPREFIX}ASR_MASK</TD>
     <TD ALIGN=center>enables ASR processing</TD></TR>
-<TR><TD ALIGN=center>NO_ASR</TD>
-    <TD ALIGN=center>ASR_MASK</TD>
+<TR><TD ALIGN=center>@value{RPREFIX}NO_ASR</TD>
+    <TD ALIGN=center>@value{RPREFIX}ASR_MASK</TD>
     <TD ALIGN=center>disables ASR processing</TD></TR>
-<TR><TD ALIGN=center>INTERRUPT_LEVEL(0)</TD>
-    <TD ALIGN=center>INTERRUPT_MASK</TD>
+<TR><TD ALIGN=center>@value{RPREFIX}INTERRUPT_LEVEL(0)</TD>
+    <TD ALIGN=center>@value{RPREFIX}INTERRUPT_MASK</TD>
     <TD ALIGN=center>enables all interrupts</TD></TR>
-<TR><TD ALIGN=center>INTERRUPT_LEVEL(n)</TD>
-    <TD ALIGN=center>INTERRUPT_MASK</TD>
+<TR><TD ALIGN=center>@value{RPREFIX}INTERRUPT_LEVEL(n)</TD>
+    <TD ALIGN=center>@value{RPREFIX}INTERRUPT_MASK</TD>
     <TD ALIGN=center>sets interrupts level n</TD></TR>
   </TABLE>
@@ -468,26 +464,22 @@
 @end ifset
 
-
-
-
-Mode values are specifically designed to be mutually exclusive,
-therefore bitwise OR and addition operations are equivalent as
-long as each mode appears exactly once in the component list.  A
-mode component listed as a default is not required to appear in
-the mode component list, although it is a good programming
-practice to specify default components.  If all defaults are
-desired, the mode @code{@value{RPREFIX}DEFAULT_MODES} and the mask @code{@value{RPREFIX}ALL_MODE_MASKS}
-should be used.
-
-The following example demonstrates the mode and mask parameters
-used with the task_mode directive to place a task at interrupt
-level 3 and make it non-preemptible.  The mode should be set to
-@code{@value{RPREFIX}INTERRUPT_LEVEL(3)
-@value{OR} @value{RPREFIX}NO_PREEMPT} to indicate the desired
-preemption mode and interrupt level, while the mask parameter
-should be set to
-@code{@value{RPREFIX}INTERRUPT_MASK @value{OR} @value{RPREFIX}NO_PREEMPT_MASK}
-to indicate that the calling task's interrupt level and preemption mode are
-being altered. 
+Mode values are specifically designed to be mutually exclusive, therefore
+bitwise OR and addition operations are equivalent as long as each mode
+appears exactly once in the component list.  A mode component listed as a
+default is not required to appear in the mode component list, although it
+is a good programming practice to specify default components.  If all
+defaults are desired, the mode @code{@value{RPREFIX}DEFAULT_MODES} and the
+mask @code{@value{RPREFIX}ALL_MODE_MASKS} should be used. 
+
+The following example demonstrates the mode and mask parameters used with
+the @code{@value{DIRPREFIX}task_mode}
+directive to place a task at interrupt level 3 and make it
+non-preemptible.  The mode should be set to
+@code{@value{RPREFIX}INTERRUPT_LEVEL(3)  @value{OR}
+@value{RPREFIX}NO_PREEMPT} to indicate the desired preemption mode and
+interrupt level, while the mask parameter should be set to
+@code{@value{RPREFIX}INTERRUPT_MASK @value{OR}
+@value{RPREFIX}NO_PREEMPT_MASK} to indicate that the calling task's
+interrupt level and preemption mode are being altered.
 
 @ifinfo
@@ -516,5 +508,6 @@
 @subsection Creating Tasks
 
-The task_create directive creates a task by allocating a task
+The @code{@value{DIRPREFIX}task_create}
+directive creates a task by allocating a task
 control block, assigning the task a user-specified name,
 allocating it a stack and floating point context area, setting a
@@ -532,7 +525,9 @@
 assigns it to the created task until it is deleted.  The task ID
 may be obtained by either of two methods.  First, as the result
-of an invocation of the task_create directive, the task ID is
+of an invocation of the @code{@value{DIRPREFIX}task_create}
+directive, the task ID is
 stored in a user provided location.  Second, the task ID may be
-obtained later using the task_ident directive.  The task ID is
+obtained later using the @code{@value{DIRPREFIX}task_ident}
+directive.  The task ID is
 used by other directives to manipulate this task.
 
@@ -542,5 +537,6 @@
 @subsection Starting and Restarting Tasks
 
-The task_start directive is used to place a dormant task in the
+The @code{@value{DIRPREFIX}task_start}
+directive is used to place a dormant task in the
 ready state.  This enables the task to compete, based on its
 current priority, for the processor and other system resources. 
@@ -549,5 +545,6 @@
 started.
 
-With the task_start directive the user specifies the task's
+With the @code{@value{DIRPREFIX}task_start}
+directive the user specifies the task's
 starting address and argument.  The argument is used to
 communicate some startup information to the task.  As part of
@@ -557,5 +554,6 @@
 target processor's calling convention.
 
-The task_restart directive restarts a task at its initial
+The @code{@value{DIRPREFIX}task_restart}
+directive restarts a task at its initial
 starting address with its original priority and execution mode,
 but with a possibly different argument.  The new argument may be
@@ -574,11 +572,14 @@
 @subsection Suspending and Resuming Tasks
 
-The task_suspend directive is used to place either the caller or
+The @code{@value{DIRPREFIX}task_suspend}
+directive is used to place either the caller or
 another task into a suspended state.  The task remains suspended
-until a task_resume directive is issued.  This implies that a
+until a @code{@value{DIRPREFIX}task_resume}
+directive is issued.  This implies that a
 task may be suspended as well as blocked waiting either to
 acquire a resource or for the expiration of a timer.
 
-The task_resume directive is used to remove another task from
+The @code{@value{DIRPREFIX}task_resume}
+directive is used to remove another task from
 the suspended state. If the task is not also blocked, resuming
 it will place it in the ready state, allowing it to once again
@@ -595,13 +596,15 @@
 @subsection Delaying the Currently Executing Task
 
-The task_wake_after directive creates a sleep timer which allows
-a task to go to sleep for a specified interval.  The task is
-blocked until the delay interval has elapsed, at which time the
-task is unblocked.  A task calling the task_wake_after directive
-with a delay interval of @code{@value{RPREFIX}YIELD_PROCESSOR} ticks will yield the
-processor to any other ready task of equal or greater priority
-and remain ready to execute.
-
-The task_wake_when directive creates a sleep timer which allows
+The @code{@value{DIRPREFIX}task_wake_after} directive creates a sleep timer
+which allows a task to go to sleep for a specified interval.  The task is
+blocked until the delay interval has elapsed, at which time the task is
+unblocked.  A task calling the @code{@value{DIRPREFIX}task_wake_after}
+directive with a delay
+interval of @code{@value{RPREFIX}YIELD_PROCESSOR} ticks will yield the
+processor to any other ready task of equal or greater priority and remain
+ready to execute. 
+
+The @code{@value{DIRPREFIX}task_wake_when}
+directive creates a sleep timer which allows
 a task to go to sleep until a specified date and time.  The
 calling task is blocked until the specified date and time has
@@ -613,7 +616,9 @@
 @subsection Changing Task Priority 
 
-The task_set_priority directive is used to obtain or change the
+The @code{@value{DIRPREFIX}task_set_priority}
+directive is used to obtain or change the
 current priority of either the calling task or another task.  If
-the new priority requested is CURRENT_PRIORITY or the task's
+the new priority requested is
+@code{@value{RPREFIX}CURRENT_PRIORITY} or the task's
 actual priority, then the current priority will be returned and
 the task's priority will remain unchanged.  If the task's
@@ -621,5 +626,6 @@
 to its new priority.
 
-The task_restart directive resets the priority of a task to its
+The @code{@value{DIRPREFIX}task_restart}
+directive resets the priority of a task to its
 original value.
 
@@ -629,10 +635,12 @@
 @subsection Changing Task Mode
 
-The task_mode directive is used to obtain or change the current
+The @code{@value{DIRPREFIX}task_mode}
+directive is used to obtain or change the current
 execution mode of the calling task.  A task's execution mode is
 used to enable preemption, timeslicing, ASR processing, and to
 set the task's interrupt level.  
 
-The task_restart directive resets the mode of a task to its
+The @code{@value{DIRPREFIX}task_restart}
+directive resets the mode of a task to its
 original value.
 
@@ -644,9 +652,13 @@
 RTEMS provides sixteen notepad locations for each task.  Each
 notepad location may contain a note consisting of four bytes of
-information.  RTEMS provides two directives, task_set_note and
-task_get_note, that enable a user to access and change the
-notepad locations.  The task_set_note directive enables the user
+information.  RTEMS provides two directives,
+@code{@value{DIRPREFIX}task_set_note} and
+@code{@value{DIRPREFIX}task_get_note}, that enable a user
+to access and change the
+notepad locations.  The @code{@value{DIRPREFIX}task_set_note}
+directive enables the user
 to set a task's notepad entry to a specified note.  The
-task_get_note directive allows the user to obtain the note
+@code{@value{DIRPREFIX}task_get_note}
+directive allows the user to obtain the note
 contained in any one of the sixteen notepads of a specified task.
 
@@ -656,5 +668,6 @@
 @subsection Task Deletion
 
-RTEMS provides the task_delete directive to allow a task to
+RTEMS provides the @code{@value{DIRPREFIX}task_delete}
+directive to allow a task to
 delete itself or any other task.  This directive removes all
 RTEMS references to the task, frees the task's control block,
@@ -666,6 +679,8 @@
 application.
 
-Unexpired delay timers (i.e. those used by task_wake_after and
-task_wake_when) and timeout timers associated with the task are
+Unexpired delay timers (i.e. those used by
+@code{@value{DIRPREFIX}task_wake_after} and
+@code{@value{DIRPREFIX}task_wake_when}) and
+timeout timers associated with the task are
 automatically deleted, however, other resources dynamically
 allocated by the task are NOT automatically returned to RTEMS. 
@@ -758,13 +773,15 @@
 floating point context area.  The mode parameter contains values
 which sets the task's initial execution mode.  The
-@code{@value{RPREFIX}FLOATING_POINT} attribute should be specified if the created task
+@code{@value{RPREFIX}FLOATING_POINT} attribute should be
+specified if the created task
 is to use a numeric coprocessor.  For performance reasons, it is
 recommended that tasks not using the numeric coprocessor should
-specify the @code{@value{RPREFIX}NO_FLOATING_POINT} attribute.  If the GLOBAL
+specify the @code{@value{RPREFIX}NO_FLOATING_POINT} attribute.  
+If the @code{@value{RPREFIX}GLOBAL}
 attribute is specified, the task can be accessed from remote
 nodes.  The task id, returned in id, is used in other task
 related directives to access the task.  When created, a task is
 placed in the dormant state and can only be made ready to
-execute using the directive task_start.
+execute using the directive @code{@value{DIRPREFIX}task_start}.
 
 @subheading NOTES:
@@ -777,6 +794,8 @@
 target processor.
 
-The requested stack size should be at least @code{@value{RPREFIX}MINIMUM_STACK_SIZE}
-bytes.  The value of @code{@value{RPREFIX}MINIMUM_STACK_SIZE} is processor dependent. 
+The requested stack size should be at least
+@code{@value{RPREFIX}MINIMUM_STACK_SIZE}
+bytes.  The value of @code{@value{RPREFIX}MINIMUM_STACK_SIZE}
+is processor dependent. 
 Application developers should consider the stack usage of the
 device drivers when calculating the stack size required for
@@ -923,5 +942,5 @@
 Any actions performed on a dormant task such as suspension or
 change of priority are nullified when the task is initiated via
-the task_start directive.
+the @code{@value{DIRPREFIX}task_start} directive.
 
 @page
@@ -969,7 +988,10 @@
 argument can be a single value or an index into an array of
 parameter blocks.  This new argument may be used to distinguish
-between the initial task_start of the task and any ensuing calls
-to task_restart of the task.  This can be beneficial in deleting
-a task.  Instead of deleting a task using the task_delete
+between the initial @code{@value{DIRPREFIX}task_start}
+of the task and any ensuing calls
+to @code{@value{DIRPREFIX}task_restart}
+of the task.  This can be beneficial in deleting
+a task.  Instead of deleting a task using
+the @code{@value{DIRPREFIX}task_delete}
 directive, a task can delete another task by restarting that
 task, and allowing that task to release resources back to RTEMS
@@ -984,5 +1006,5 @@
 
 The task must reside on the local node, even if the task was
-created with the GLOBAL option.
+created with the @code{@value{RPREFIX}GLOBAL} option.
 
 @page
@@ -1043,5 +1065,5 @@
 
 The task must reside on the local node, even if the task was
-created with the GLOBAL option.
+created with the @code{@value{RPREFIX}GLOBAL} option.
 
 @page
@@ -1080,5 +1102,6 @@
 additive to any other blocked state that the task may already be
 in.  The task will not execute again until another task issues
-the task_resume directive for this task and any blocked state
+the @code{@value{DIRPREFIX}task_resume}
+directive for this task and any blocked state
 has been removed.
 
@@ -1093,5 +1116,5 @@
 
 If the task specified by id is already suspended, then the
-ALREADY_SUSPENDED status code is returned.
+@code{@value{RPREFIX}ALREADY_SUSPENDED} status code is returned.
 
 @page
@@ -1141,5 +1164,5 @@
 
 If the task specified by id is not suspended, then the
-INCORRECT_STATE status code is returned.
+@code{@value{RPREFIX}INCORRECT_STATE} status code is returned.
 
 @page
@@ -1179,8 +1202,10 @@
 @subheading DESCRIPTION:
 This directive manipulates the priority of the task specified by
-id.  An id of @code{@value{RPREFIX}SELF} is used to indicate the calling task.  When
-new_priority is not equal to CURRENT_PRIORITY, the specified
+id.  An id of @code{@value{RPREFIX}SELF} is used to indicate
+the calling task.  When new_priority is not equal to
+@code{@value{RPREFIX}CURRENT_PRIORITY}, the specified
 task's previous priority is returned in old_priority.  When
-new_priority is CURRENT_PRIORITY, the specified task's current
+new_priority is @code{@value{RPREFIX}CURRENT_PRIORITY},
+the specified task's current
 priority is returned in old_priority.  Valid priorities range
 from a high of 1 to a low of 255.
@@ -1253,9 +1278,10 @@
 
 A task can obtain its current execution mode, without modifying
-it, by calling this directive with a mask value of @code{@value{RPREFIX}CURRENT_MODE}.
+it, by calling this directive with a mask value of
+@code{@value{RPREFIX}CURRENT_MODE}.
 
 To temporarily disable the processing of a valid ASR, a task
-should call this directive with the NO_ASR indicator specified
-in mode.
+should call this directive with the @code{@value{RPREFIX}NO_ASR}
+indicator specified in mode.
 
 The set of task mode constants and each mode's corresponding
@@ -1264,12 +1290,27 @@
 @ifset use-ascii
 @itemize @bullet
-@item PREEMPT is masked by PREEMPT_MASK and enables preemption
-@item NO_PREEMPT is masked by PREEMPT_MASK and disables preemption
-@item NO_TIMESLICE is masked by TIMESLICE_MASK and disables timeslicing
-@item TIMESLICE is masked by TIMESLICE_MASK and enables timeslicing
-@item ASR is masked by ASR_MASK and enables ASR processing
-@item NO_ASR is masked by ASR_MASK and disables ASR processing
-@item INTERRUPT_LEVEL(0) is masked by INTERRUPT_MASK and enables all interrupts
-@item INTERRUPT_LEVEL(n) is masked by INTERRUPT_MASK and sets interrupts level n
+@item @code{@value{RPREFIX}PREEMPT} is masked by
+@code{@value{RPREFIX}PREEMPT_MASK} and enables preemption
+
+@item @code{@value{RPREFIX}NO_PREEMPT} is masked by
+@code{@value{RPREFIX}PREEMPT_MASK} and disables preemption
+
+@item @code{@value{RPREFIX}NO_TIMESLICE} is masked by
+@code{@value{RPREFIX}TIMESLICE_MASK} and disables timeslicing
+
+@item @code{@value{RPREFIX}TIMESLICE} is masked by
+@code{@value{RPREFIX}TIMESLICE_MASK} and enables timeslicing
+
+@item @code{@value{RPREFIX}ASR} is masked by
+@code{@value{RPREFIX}ASR_MASK} and enables ASR processing
+
+@item @code{@value{RPREFIX}NO_ASR} is masked by
+@code{@value{RPREFIX}ASR_MASK} and disables ASR processing
+
+@item @code{@value{RPREFIX}INTERRUPT_LEVEL(0)} is masked by
+@code{@value{RPREFIX}INTERRUPT_MASK} and enables all interrupts
+
+@item @code{@value{RPREFIX}INTERRUPT_LEVEL(n)} is masked by
+@code{@value{RPREFIX}INTERRUPT_MASK} and sets interrupts level n
  
 @end itemize
@@ -1280,12 +1321,27 @@
 @c this is temporary
 @itemize @bullet
-@item PREEMPT is masked by PREEMPT_MASK and enables preemption
-@item NO_PREEMPT is masked by PREEMPT_MASK and disables preemption
-@item NO_TIMESLICE is masked by TIMESLICE_MASK and disables timeslicing
-@item TIMESLICE is masked by TIMESLICE_MASK and enables timeslicing
-@item ASR is masked by ASR_MASK and enables ASR processing
-@item NO_ASR is masked by ASR_MASK and disables ASR processing
-@item INTERRUPT_LEVEL(0) is masked by INTERRUPT_MASK and enables all interrupts
-@item INTERRUPT_LEVEL(n) is masked by INTERRUPT_MASK and sets interrupts level n
+@item @code{@value{RPREFIX}PREEMPT} is masked by
+@code{@value{RPREFIX}PREEMPT_MASK} and enables preemption
+
+@item @code{@value{RPREFIX}NO_PREEMPT} is masked by
+@code{@value{RPREFIX}PREEMPT_MASK} and disables preemption
+
+@item @code{@value{RPREFIX}NO_TIMESLICE} is masked by
+@code{@value{RPREFIX}TIMESLICE_MASK} and disables timeslicing
+
+@item @code{@value{RPREFIX}TIMESLICE} is masked by
+@code{@value{RPREFIX}TIMESLICE_MASK} and enables timeslicing
+
+@item @code{@value{RPREFIX}ASR} is masked by
+@code{@value{RPREFIX}ASR_MASK} and enables ASR processing
+
+@item @code{@value{RPREFIX}NO_ASR} is masked by
+@code{@value{RPREFIX}ASR_MASK} and disables ASR processing
+
+@item @code{@value{RPREFIX}INTERRUPT_LEVEL(0)} is masked by
+@code{@value{RPREFIX}INTERRUPT_MASK} and enables all interrupts
+
+@item @code{@value{RPREFIX}INTERRUPT_LEVEL(n)} is masked by
+@code{@value{RPREFIX}INTERRUPT_MASK} and sets interrupts level n
  
 @end itemize
